APT-GET Upgrade?

If none of the more specific forums is the right place to ask

APT-GET Upgrade?

Postby Carlosinfl » 2006-01-23 16:43

Ok - So I wanted to make sure that everything on my VSFTPd server was upto date and secure. I ran the following command and I don't understand why all these other applications are flagged for upgrade when I see no association with vsFTPd.

Code: Select all
stricom:/etc/exim4# apt-get upgrade vsftpd
Reading package lists... Done
Building dependency tree... Done
The following packages have been kept back:
  apt apt-utils aptitude libapt-pkg-perl libgtk2.0-0 libgtk2.0-bin
  libpango1.0-0 libpango1.0-common ppp
The following packages will be upgraded:
  at bsdmainutils cdrecord cpio debconf debconf-i18n e2fslibs e2fsprogs
  findutils gdb info libblkid1 libcomerr2 libglib2.0-0
  libhtml-template-perl libjpeg62 libkrb53 libnss-db libreadline5
  libsasl2 libselinux1 libsepol1 libss2 libssl0.9.8 libtextwrap1
  libuuid1 libxrender1 lsb-base manpages manpages-dev mkisofs mutt nano
  netbase openssl perl perl-base perl-modules pppconfig readline-common
  tasksel tex-common texinfo wamerican whois zlib1g
46 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
Need to get 23.7MB of archives.
After unpacking 639kB of additional disk space will be used.
Do you want to continue [Y/n]?
Carlosinfl
 
Posts: 889
Joined: 2005-02-05 06:11
Location: Orlando, FL

Postby john_h » 2006-01-23 17:47

"apt-get upgrade" is the command for upgrading all installed applications for which more recent versions are available. Presumably APT is then ignoring the superfluous reference to vsftpd.

To upgrade only vsftpd, run "apt-get install vsftpd".

That said, the other items listed for upgrade may well be listed as a result of security warnings or bugs (that will certainly be the case if you are running Sarge) so it may be worth letting the upgrade proceed.
john_h
 
Posts: 220
Joined: 2005-11-17 13:01

Postby Lavene » 2006-01-23 17:57

"apt-get upgrade" upgrades all upgradable packages on your system. You can not add anything (or if you do it will not do anything).
Check
Code: Select all
# man apt-get
for info.

To make sure you have the latest version you can just
Code: Select all
# apt-get install <package>

If there is a newer version it will be upgraded.

Or you can also check out
Code: Select all
# man dselect
(or so I think, I'm no expert on 'dselect')

Tina

Edit: Oops! Too late :P
Lavene
Site admin
 
Posts: 5096
Joined: 2006-01-04 04:26
Location: Oslo, Norway


Return to General Questions

Who is online

Users browsing this forum: No registered users and 8 guests

fashionable